// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "IBoundaryAdapter.h"
#include "PicoBoundaryAdapter.generated.h"


UCLASS()
class AR51SDK_PICO_API APicoBoundaryAdapter : public AActor, public IBoundaryAdapter
{
	GENERATED_BODY()

public:
	// Sets default values for this actor's properties
	APicoBoundaryAdapter();

	FString GetBoundaryName() const override;
	TArray<FVector> GetPoints() const override;

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:	
	// Called every frame
	virtual void Tick(float DeltaTime) override;

};
